* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -ms-box-sizing: border-box;
  box-sizing: border-box;
}

html {
	font-size: 20px;
}

body {
  /* background-size: cover; */
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  overflow: hidden;
  -webkit-overflow: hidden;
      -moz-overflow: hidden;
      -ms-overflow: hidden;
}

body #form #limitInput {
	float: left;
	opacity: 0.70;
	font-size: 1rem;
	border-radius: 10px;
}

body #form #search {
	position: relative;
	clear: left;
	padding: 10px;
	margin: auto;
	width: 50%;
	text-align: center;
	cursor: pointer;
	background-color: blue;
	border-radius: 10px;
	color: white;
	transition: 0.25s ease-in-out;
	-webkit-transition: 0.25s ease-in-out;
      -moz-transition: 0.25s ease-in-out;
      -ms-transition: 0.25s ease-in-out;
}

body #form #search:hover {
	background-color: lightblue;
}

body #pollutantDetails:not(:empty) {
	position: absolute;
	left: 50%;
	transform: translateX(-50%);
	bottom: 0;
	display: flex;
	gap: 8px;
	width: max-content;
	background-color: rgba(0, 0, 0, .8);
	padding: 8px;
	z-index: 100;
	color: rgb(142, 142, 142);
	border-radius: 4px;
	box-shadow: 0 5px 4px 1px black;
}

#pollutantDetails .country_pollutant_details {
	display: grid;
	grid-gap: 8px 0;
}
#pollutantDetails .country_pollutant_details .title {
	border-bottom: 1px solid grey;
}

canvas {
  display: block;
  width: 100%;
  height: 100%;
}

@media only screen and (max-width: 600px) {
	html {
		font-size: 3vw;
	}

	body #form {
		left: 75%;
	}

	body #form #search {
		position: relative;
		clear: left;
		padding: 10px;
		margin: auto;
		width: 50%;
		text-align: center;
		cursor: pointer;
		background-color: blue;
		border-radius: 10px;
		color: white;
	}

	body #pollutantDetails:not(:empty) {
		left: unset;
		right: 0;
		transform: none;
		max-width: 300px;
		overflow-x: auto;
	}

	#pollutantDetails .country_pollutant_details .title {
		max-width: 120px;
		overflow-x: auto;
	}
}
